Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 07/08/2008, à 23:27

tit_noizeau

Re : Compiler et installer aMSN 0.97.2

salut yagyu,
C'est plutôt des lignes de commandes au fait ^^
Mais quel est ton problème au juste ? qu'est ce qui ne marche pas ? Tu es bien sous ubuntu hardy ?
Dis nous en un peu plus, que l'on puisse t'aider !

Dernière modification par tit_noizeau (Le 07/08/2008, à 23:42)

Hors ligne

#27 Le 07/08/2008, à 23:36

seu

Re : Compiler et installer aMSN 0.97.2

salut, quand j'essaie de compiler, j'ai ceci:

seu@64:~/.install/amsn$ sudo ./configure && make
[sudo] password for seu:
checking for prefix by checking for wish... /usr/bin/wish
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking tcl build dir... using tcl library in /usr/lib/tcl8.5
checking tk build dir... using tk library in /usr/lib/tk8.5
checking for main in -lstdc++... yes
checking how to run the C preprocessor... gcc -E
checking for X... libraries , headers
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for png_read_info in -lpng... yes
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking for jpeg_CreateDecompress in -ljpeg... yes
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking jerror.h usability... yes
checking jerror.h presence... yes
checking for jerror.h... yes
checking for ftello... yes
checking for fseeko... yes
checking for getpt... yes
checking for strcasestr... yes
checking for memmem... yes
checking for dlopen... no
checking for pthread_create in -lpthread... yes
checking if mmx should be used... no
checking for pkg-config... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GLIB... yes
checking for GST... yes
checking for FARSIGHT2... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating utils/linux/capture/config.h
config.status: utils/linux/capture/config.h is unchanged

compile time options summary
============================

    X11          : yes
    Tcl          : 8.5
    TK           : 8.5
    DEBUG        : no
    STATIC       : no
    FARSIGHT     : no

*** You do not seem to have gstreamer and farsight2 installed.
*** You will not be able to build the required component for audio conversations.
*** Read this for more information : http://amsn-project.net/wiki/Farsight
make: Rien à faire pour « build ».

là je comprend pas sad


-|-

Hors ligne

#28 Le 07/08/2008, à 23:43

yagyu

Re : Compiler et installer aMSN 0.97.2

tit_noizeau a écrit :

salut yagyu,

Salut !

Je suis sous Ubuntu. Mon problème est le même que plus haut c'est à dire que je ne peux pas me connecter à Amsn.

En gros je suis connecté mais je n'arrive pas à me log(er).

Hors ligne

#29 Le 07/08/2008, à 23:46

tit_noizeau

Re : Compiler et installer aMSN 0.97.2

Tu es sous ubuntu 64bits, non ??
tu as essayé d'installer gstreamer et farsight2 ? s'il ne sont pas installés ...
Tu es allé sur le lien indiqué http://amsn-project.net/wiki/Farsight Ils proposent de recompiler ces versions apparement ...
++

Hors ligne

#30 Le 07/08/2008, à 23:52

yagyu

Re : Compiler et installer aMSN 0.97.2

tit_noizeau a écrit :

Tu es sous ubuntu 64bits, non ??

C'est à moi que tu d'adresse ???

Si c'est le cas moi je suis sous 32 bit. normalement mais si tu me dire comment vréfier vite fait je peux te le confirmer.

Hors ligne

#31 Le 08/08/2008, à 00:04

seu

Re : Compiler et installer aMSN 0.97.2

j'suis sur Kubuntu Hardy amd_64
pour recompiler Farsight:

root@64:~/.install/amsn/farsight2# ./autogen.sh
+ check for build tools
  checking for autoconf >= 2.52 ... found 2.61, ok.
  checking for automake >= 1.7 ... found 1.10.1, ok.
  checking for libtoolize >= 1.5.0 ... found 1.5.26, ok.
  checking for pkg-config >= 0.8.0 ... found 0.22, ok.
+ checking for autogen.sh options
  This autogen script will automatically run ./configure as:
  ./configure --enable-gtk-doc --enable-plugin-docs
  To pass any additional options, please specify them on the ./autogen.sh
  command line.
+ running aclocal -I common/m4 ...
+ running libtoolize --copy --force...
+ running autoheader ...
+ running autoconf ...
+ running automake -a -c -Wno-portability...
common/gtk-doc.mak:50: ENABLE_GTK_DOC does not appear in AM_CONDITIONAL
docs/libs/Makefile.am:75:   `common/gtk-doc.mak' included from here
common/gtk-doc.mak:244: ENABLE_GTK_DOC does not appear in AM_CONDITIONAL
docs/libs/Makefile.am:75:   `common/gtk-doc.mak' included from here

automake failed

sad


-|-

Hors ligne

#32 Le 08/08/2008, à 00:19

tit charles

Re : Compiler et installer aMSN 0.97.2

Polarman a écrit :

Non, ça va! Pas besoin de tout ça. J'ai trouvé la solution! big_smile J'ai désinstallé tcl8.4 et tk 8.4. Il devait y avoir conflit avec tcl8.5 et tk 8.5 (en espèrant que la version 8.4 ne manque à aucun autre logiciel). Maintenant, le paquet compilé se lance impect! cool

Merci tout de même!;)

c'est bien quand on sait lire au dessus roll
fin la page avant

Dernière modification par tit charles (Le 08/08/2008, à 00:20)

Hors ligne

#33 Le 08/08/2008, à 00:26

yagyu

Re : Compiler et installer aMSN 0.97.2

tit charles a écrit :
Polarman a écrit :

Non, ça va! Pas besoin de tout ça. J'ai trouvé la solution! big_smile J'ai désinstallé tcl8.4 et tk 8.4. Il devait y avoir conflit avec tcl8.5 et tk 8.5 (en espèrant que la version 8.4 ne manque à aucun autre logiciel). Maintenant, le paquet compilé se lance impect! cool

Merci tout de même!;)

c'est bien quand on sait lire au dessus roll
fin la page avant

Le problème est que j'ai lu au fur et à mesure (Si c'est à moi que l'on parle). En tout cas je veux bien la recette pour savoir comment désinstaller c'est truc :  tcl8.4 et tk 8.4.

Hors ligne

#34 Le 08/08/2008, à 00:51

ismail.majdoub

Re : Compiler et installer aMSN 0.97.2

Salam.
je sais pas pourquoi vous vous  cassez la tete en essayant de compiler?.
entrer sur http://www.getdeb.net/release.php?id=2875,telecharger la derniere verssion amsn (.deb),et avec un double click ,vous finirez la tache sans aucun probleme inchallah smile
Salam.

Dernière modification par ismail.majdoub (Le 08/08/2008, à 00:52)

Hors ligne

#35 Le 08/08/2008, à 08:52

seu

Re : Compiler et installer aMSN 0.97.2

ismail.majdoub a écrit :

Salam.
je sais pas pourquoi vous vous  cassez la tete en essayant de compiler?.
entrer sur http://www.getdeb.net/release.php?id=2875,telecharger la derniere verssion amsn (.deb),et avec un double click ,vous finirez la tache sans aucun probleme inchallah smile
Salam.

c'est la version 0.97.1... -_-'


-|-

Hors ligne

#36 Le 08/08/2008, à 09:53

frenchy82

Re : Compiler et installer aMSN 0.97.2

Bonjour,

http://www.getdeb.net/app/aMSN

Cela semble bien être la 0.97.2 smile

Hors ligne

#37 Le 08/08/2008, à 11:07

yagyu

Re : Compiler et installer aMSN 0.97.2

Ok ca a marché pour moi. Du coup j'ai ajouté ce site à mes favori. Par contre j'ai fait des manipulation un plustôt crado et va falloir essayer de supprimer des truc inutile.

Dans tout les cas merci à tous.

Dernière modification par yagyu (Le 08/08/2008, à 11:08)

Hors ligne

#38 Le 08/08/2008, à 17:33

tinangebleu

Re : Compiler et installer aMSN 0.97.2

c'est ok pour moi aussi!!   merciiiii  big_smile

Hors ligne

#39 Le 08/08/2008, à 17:40

mouflette69

Re : Compiler et installer aMSN 0.97.2

Pas pour moi sad

Hors ligne

#40 Le 08/08/2008, à 18:13

Compte anonymisé

Re : Compiler et installer aMSN 0.97.2

frenchy82 a écrit :

Bonjour,

http://www.getdeb.net/app/aMSN

Cela semble bien être la 0.97.2 smile

Il est parfait ce lien, pas besoin de jouer dans le terminal.
merci à tous.

#41 Le 11/08/2008, à 09:10

glouton

Re : Compiler et installer aMSN 0.97.2

Salut à tous,

ayant déjà rencontré le problème du "loading tkcximage failed..." avec la version 0.97.1 je vous livre la solution que j'ai trouvé sur le net et qui fonctionne très bien pour moi.
C'est donc en général un conflit entre tcl8.4 et 8.5 mais nul besoin de désinstaller la bête.

Il suffit d'éditer le fichier du script "amsn" qui se trouve dans /usr/share/amsn/ puis de modifier une des toutes premières lignes :

exec wish $0 $@

devient

exec wish8.5 $0 $@

Et hop ça fonctionne. smile

Bien sûr il faut éditer avec les droits de super utilisateur pour pouvoir sauvegarder.

Soit en ligne de commande dans un terminal :

sudo nano /usr/share/amsn/amsn

Soit en lançant nautilus en root :

Alt + F2 puis gksudo nautilus
Après allez dans le dossier qui va bien, clic droit et ouvrir avec une autre application... et choississez l'éditeur de texte.

Pour ma part, aussi bien pour la version 0.97.1 que la 0.97.2 j'ai téléchargé l'autopackage tcl8.5 depuis le site du projet amsn, suivi la procédure d'installation décrite sur ce même site sans même l'étape de désinstallation de la version précédente. Sauf erreur de ma part l'autopackage s'en charge.

Voilà, si ça peut aider, ça fonctionne bien chez moi avec hardy.

Dernière modification par glouton (Le 11/08/2008, à 09:14)


glouton, c'est wolverine en anglais.
C'est petit, tout rond et ça bouffe tout !

Hors ligne

#42 Le 12/08/2008, à 14:45

bartelimus

Re : Compiler et installer aMSN 0.97.2

moi, jai un drole de probleme. J'ai suprimer via synaptic tcl8.4 et tk8.4.
Mais pour installer tcl 8.5et tk8.5, sa me met sa:

iza@ubuntu:/~$ sudo apt-get install build-essential libpng-dev libjpeg-dev tcl8.5 tk8.5 tcl8.5-dev tk8.5-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture de l'information d'état... Fait
build-essential est déjà la plus récente version disponible.
Le paquet libpng-dev est un paquet virtuel fourni par :
  libpng12-dev 1.2.15~beta5-1ubuntu1.1
Vous devez explicitement sélectionner un paquet à installer.
E: Aucun paquet ne correspond au paquet libpng-dev

Puis aprés avoir suivit le protocole a la lettre, j'écrit:

./configure --with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5

sa me met:

checking for prefix by checking for wish... no
expr: syntax error
./configure: line 2023: test: too many arguments
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking tcl build dir... configure: error: Unable to find Tcl directory or Tcl package is not tcl-dev

je pense que sa a un lien, mais sa me bloque toute l'installation d'amsn.


L'avenir est à nous .... Nous sommes l'avenir

Hors ligne

#43 Le 12/08/2008, à 15:01

angel2005

Re : Compiler et installer aMSN 0.97.2

pourquoi continuer a essayer de compiler il y a un deb sur get deb et a jour et avec la version autopackage si il manque quelque chose il vous le dit voir il peut l'installer comme par exemple 'autopackage'
j'ai tester les deux ca marche.


Ubuntu Intrepid 8.10, sur Dell Latitude 120L 2 Gigas de Ram
Ubuntu Intrepid 8.10, sur Desktop CM asus P4B533
Carte video nvidia NX7600GT/ carte son M-audio Delta 44 2 gigas de Ram
http://www.imprimerie-creative.com

Hors ligne

#44 Le 12/08/2008, à 15:03

Michel38

Re : Compiler et installer aMSN 0.97.2

angel2005 a écrit :

pourquoi continuer a essayer de compiler il y a un deb sur get deb et a jour et avec la version autopackage si il manque quelque chose il vous le dit voir il peut l'installer comme par exemple 'autopackage'
j'ai tester les deux ca marche.

Je plussoie et je propose aux modos de fermer ce post ..... on voit que les gens n'y connaissent rien, tatonnent .... et ensuite viendront se plaindre que leur système est cassé.


LM18.3 - Kernel: 4.4.0-53-generic i686 (32 bit gcc: 5.4.0) - Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
System: CLEVO (portable)
CPU    : Dual core Intel Core i5-3230M
Card    : Intel 3rd Gen Core processor Graphics Controller

Hors ligne

#45 Le 12/08/2008, à 15:04

slasher_fun

Re : Compiler et installer aMSN 0.97.2

As-tu juste lu le premier message d'erreur ?

Fermeture du topic quand même pas, il y a en a que ça intéresse. Mais mise au point pour les non expérimentés, oui smile

Hors ligne

#46 Le 12/08/2008, à 15:05

Michel38

Re : Compiler et installer aMSN 0.97.2

Michel38 a écrit :
angel2005 a écrit :

pourquoi continuer a essayer de compiler il y a un deb sur get deb et a jour et avec la version autopackage si il manque quelque chose il vous le dit voir il peut l'installer comme par exemple 'autopackage'
j'ai tester les deux ca marche.

Je plussoie et je propose aux modos de fermer ce post ..... on voit que les gens n'y connaissent rien, tatonnent .... et ensuite viendront se plaindre que leur système est cassé.

Il y a 2 solutions :
1. la préconisée : activer le temps de l'upgrade les dépôts "proposed"
2. Prendre le deb de getdeb ... qui est un site sérieux.


LM18.3 - Kernel: 4.4.0-53-generic i686 (32 bit gcc: 5.4.0) - Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
System: CLEVO (portable)
CPU    : Dual core Intel Core i5-3230M
Card    : Intel 3rd Gen Core processor Graphics Controller

Hors ligne

#47 Le 12/08/2008, à 15:17

bartelimus

Re : Compiler et installer aMSN 0.97.2

Bon avec deja avec deb sa marche toujours pas, je vais esayer avec autopackage


L'avenir est à nous .... Nous sommes l'avenir

Hors ligne

#48 Le 12/08/2008, à 15:24

angel2005

Re : Compiler et installer aMSN 0.97.2

qu'entend tu par ca marche pas? as tu desinstaller l'ancienne version et nettoyer en supprimant les preference dans ton diossier perso '.amsn'


Ubuntu Intrepid 8.10, sur Dell Latitude 120L 2 Gigas de Ram
Ubuntu Intrepid 8.10, sur Desktop CM asus P4B533
Carte video nvidia NX7600GT/ carte son M-audio Delta 44 2 gigas de Ram
http://www.imprimerie-creative.com

Hors ligne

#49 Le 12/08/2008, à 15:29

bartelimus

Re : Compiler et installer aMSN 0.97.2

ben il me dit qu'il me manque toujours tcl 8.5 enfin, il me marque surtout:

Error: Dependency is not satisfiable: tcl8.5


L'avenir est à nous .... Nous sommes l'avenir

Hors ligne

#50 Le 12/08/2008, à 15:31

slasher_fun

Re : Compiler et installer aMSN 0.97.2

Installe la version de getdeb, ça ira très bien...

Hors ligne